using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 浸润线观测配置
    /// </summary>
    [Description("浸润线观测配置")]
    public class T_TL_WATCH_LINE_POINT : MesEntityBase
    {
        /// <summary>
        /// 尾矿库名称 冗余
        /// </summary>
        [Description("尾矿库名称")]
        [DataFieldLength(200)]
        [FormFieldTable]
        public string TAILING_NAME { get; set; }

        /// <summary>
        /// 尾矿库名称
        /// </summary>
        [Description("尾矿库名称")]
        [DataFieldForeignKey("Nav_Tailing")]
        public Guid TAILING_ID { get; set; }

        /// <summary>
        /// 尾矿库
        /// </summary>
        [Description("尾矿库")]
        [FormFieldEdit]
        public T_TL_TAILING Nav_Tailing { get; set; }

        /// <summary>
        /// 位置
        /// </summary>
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        [Description("位置")]
        public string LOCATION { get; set; }

        /// <summary>
        /// 孔号
        /// </summary>
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        [Description("孔号")]
        public string POINT_NO { get; set; }

        /// <summary>
        /// 孔深/m
        /// </summary>
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [Description("孔深/m")]
        public decimal? POINT_DEEP { get; set; }

        /// <summary>
        /// 启用标志
        /// </summary>
        [Description("启用标志")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public FMEnableStatusEnum ENABLE_STATUS { get; set; }
    }
}